Bug 26481 - Add Koha::Item::Transfer->in_transit method
Summary: Add Koha::Item::Transfer->in_transit method
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 25767
Blocks: 26057 27993
  Show dependency treegraph
 
Reported: 2020-09-17 14:43 UTC by Martin Renvoize
Modified: 2021-03-19 08:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This enhancement adds the `Koha::Item::Transfer->in_transit` helper method to quickly identify transfers that are in progress.
Version(s) released in:
21.05.00


Attachments
Bug 26481: Add Koha::Item::Transfer->in_transit method (2.78 KB, patch)
2020-09-17 14:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26481: Add Koha::Item::Transfer->in_transit method (2.84 KB, patch)
2020-09-17 16:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26481: Add Koha::Item::Transfer->in_transit method (2.83 KB, patch)
2020-09-17 21:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26481: Add Koha::Item::Transfer->in_transit method (2.83 KB, patch)
2020-09-21 21:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26481: Add Koha::Item::Transfer->in_transit method (3.05 KB, patch)
2021-02-09 11:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26481: Add Koha::Item::Transfer->in_transit method (3.05 KB, patch)
2021-03-03 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-09-17 14:43:11 UTC
We should have an `in_transit` method available from the Koha::Item::Transfer object to allow checking the transit state of the item item.
Comment 1 Martin Renvoize 2020-09-17 14:47:43 UTC
Created attachment 110271 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests
Comment 2 Martin Renvoize 2020-09-17 16:25:11 UTC
Created attachment 110279 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests

Signed-off-by: Kathleen Milne <kathleen.milne@cne-siar.gov.uk>
Comment 3 Martin Renvoize 2020-09-17 16:25:32 UTC
Tested in use by Kathleen as part of relying on bug 22569
Comment 4 Katrin Fischer 2020-09-17 21:05:13 UTC
Created attachment 110301 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests

Signed-off-by: Kathleen Milne <kathleen.milne@cne-siar.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-09-17 21:06:07 UTC
I'll stop here for now before getting even deeper into the rabbit hole - waiting for Martin to catch up.
Comment 6 Katrin Fischer 2020-09-21 21:04:02 UTC
Created attachment 110513 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests

Signed-off-by: Kathleen Milne <kathleen.milne@cne-siar.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2021-02-09 11:05:51 UTC
Created attachment 116553 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests

Signed-off-by: Kathleen Milne <kathleen.milne@cne-siar.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 8 Jonathan Druart 2021-03-03 14:30:19 UTC
Created attachment 117584 [details] [review]
Bug 26481: Add Koha::Item::Transfer->in_transit method

This method returns a boolean representing the in_transit state of the
transfer.

Test plan
1/ Run the included tests

Signed-off-by: Kathleen Milne <kathleen.milne@cne-siar.gov.uk>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 9 Jonathan Druart 2021-03-03 14:36:57 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-03-04 12:24:02 UTC
Enhancement not pushed to 20.11.x